<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionMarketItem Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d61/a05402.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionMarketItem Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a15371a79acc1a95886a61c3bc425cdac"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a15371a79acc1a95886a61c3bc425cdac">ExpansionMarketItem</a> (int catID, <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> className, int minPrice, int maxPrice, int minStock, int maxStock, array&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt; <a class="el" href="../../dc/d0c/a01532.html#adfb4a8c515aa01502dc7b4878569f2bd">attachments</a>=null, array&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt; variants=null, float sellPricePercent=-1, int quantityPercent=-1, int itemID=-1, array&lt; int &gt; attachmentIDs=null)</td></tr>
<tr class="separator:a15371a79acc1a95886a61c3bc425cdac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15d7e97314d590549e586ae72c600154"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a15d7e97314d590549e586ae72c600154">SanityCheckAndRepair</a> ()</td></tr>
<tr class="separator:a15d7e97314d590549e586ae72c600154"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafec3c3b4f8ab375e52cdc0966b79642"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#aafec3c3b4f8ab375e52cdc0966b79642">SetAttachmentsFromIDs</a> ()</td></tr>
<tr class="separator:aafec3c3b4f8ab375e52cdc0966b79642"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30984c65d97797ab3acb7bb0d3ad5e15"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a30984c65d97797ab3acb7bb0d3ad5e15">IsStaticStock</a> ()</td></tr>
<tr class="separator:a30984c65d97797ab3acb7bb0d3ad5e15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a37bd7643e243fc094724eba4867af513"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a37bd7643e243fc094724eba4867af513">CalculatePrice</a> (int stock, float modifier=1.0)</td></tr>
<tr class="separator:a37bd7643e243fc094724eba4867af513"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac21c8ef91c4001e7812b4abc424b9c7f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#ac21c8ef91c4001e7812b4abc424b9c7f">IsMagazine</a> ()</td></tr>
<tr class="separator:ac21c8ef91c4001e7812b4abc424b9c7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae64a41902495b64e6878db13ec31067e"><td class="memItemLeft" align="right" valign="top">map&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, bool &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#ae64a41902495b64e6878db13ec31067e">GetAttachmentTypes</a> (out int magAmmoCount)</td></tr>
<tr class="separator:ae64a41902495b64e6878db13ec31067e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad90438a0fd16136e61dce678f3f9d6f0"><td class="memItemLeft" align="right" valign="top">map&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#ad90438a0fd16136e61dce678f3f9d6f0">GetMagAmmoQuantities</a> (map&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, bool &gt; attachmentTypes, int magAmmoCount)</td></tr>
<tr class="separator:ad90438a0fd16136e61dce678f3f9d6f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a273de158de8b15a1d7bab4fb45198fb9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a273de158de8b15a1d7bab4fb45198fb9">AddDefaultAttachments</a> ()</td></tr>
<tr class="separator:a273de158de8b15a1d7bab4fb45198fb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7415e4220e0a1681b7c4068f2d073c6f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a7415e4220e0a1681b7c4068f2d073c6f">IsVehicle</a> ()</td></tr>
<tr class="separator:a7415e4220e0a1681b7c4068f2d073c6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ad92bc8f76e3e04910d347722f08aed4f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#ad92bc8f76e3e04910d347722f08aed4f">ItemID</a></td></tr>
<tr class="separator:ad92bc8f76e3e04910d347722f08aed4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9027b00501cda4bd8fcaf9c0681d8247"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a9027b00501cda4bd8fcaf9c0681d8247">CategoryID</a></td></tr>
<tr class="separator:a9027b00501cda4bd8fcaf9c0681d8247"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b507ea132bb7356a6d1e9ab3be2dd5b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a4b507ea132bb7356a6d1e9ab3be2dd5b">ClassName</a></td></tr>
<tr class="separator:a4b507ea132bb7356a6d1e9ab3be2dd5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acef1091048e59d417ab0bcde6c1432a0"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#acef1091048e59d417ab0bcde6c1432a0">MaxPriceThreshold</a></td></tr>
<tr class="separator:acef1091048e59d417ab0bcde6c1432a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf4d7ec9f26bf5c8803497f103e3d71e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#abf4d7ec9f26bf5c8803497f103e3d71e">MinPriceThreshold</a></td></tr>
<tr class="separator:abf4d7ec9f26bf5c8803497f103e3d71e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2abada68bf25181b2518bea091420d05"><td class="memItemLeft" align="right" valign="top">private int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a2abada68bf25181b2518bea091420d05">m_MaxPriceThreshold</a></td></tr>
<tr class="separator:a2abada68bf25181b2518bea091420d05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e0934619d0f85a415510dbf344c07a2"><td class="memItemLeft" align="right" valign="top">private int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a7e0934619d0f85a415510dbf344c07a2">m_MinPriceThreshold</a></td></tr>
<tr class="separator:a7e0934619d0f85a415510dbf344c07a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bd2f3fd5860a08709c35946f9d7294a"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a2bd2f3fd5860a08709c35946f9d7294a">SellPricePercent</a></td></tr>
<tr class="separator:a2bd2f3fd5860a08709c35946f9d7294a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15709f464b5eb7ced62a77b3ec3548fc"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a15709f464b5eb7ced62a77b3ec3548fc">m_SellPricePercent</a></td></tr>
<tr class="separator:a15709f464b5eb7ced62a77b3ec3548fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a250ae4ea037af6a6545ffc6fcc6d0acd"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a250ae4ea037af6a6545ffc6fcc6d0acd">MaxStockThreshold</a></td></tr>
<tr class="separator:a250ae4ea037af6a6545ffc6fcc6d0acd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ed09d29c9fcc6f17a5e88bba0393124"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a5ed09d29c9fcc6f17a5e88bba0393124">MinStockThreshold</a></td></tr>
<tr class="separator:a5ed09d29c9fcc6f17a5e88bba0393124"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a298b56856ff035b1bec97fb295a0f45f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a298b56856ff035b1bec97fb295a0f45f">QuantityPercent</a></td></tr>
<tr class="separator:a298b56856ff035b1bec97fb295a0f45f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a436a03ad9dd89d616002b3bc91daf1ca"><td class="memItemLeft" align="right" valign="top">autoptr array&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a436a03ad9dd89d616002b3bc91daf1ca">SpawnAttachments</a></td></tr>
<tr class="separator:a436a03ad9dd89d616002b3bc91daf1ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e13699006087164213b6910b4936288"><td class="memItemLeft" align="right" valign="top">autoptr array&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a4e13699006087164213b6910b4936288">Variants</a></td></tr>
<tr class="separator:a4e13699006087164213b6910b4936288"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41862d5ad7a2aaa58338a0f2b144a829"><td class="memItemLeft" align="right" valign="top">autoptr array&lt; int &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a41862d5ad7a2aaa58338a0f2b144a829">m_AttachmentIDs</a></td></tr>
<tr class="separator:a41862d5ad7a2aaa58338a0f2b144a829"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96f3d271452ceaf5193c533ab57148da"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a96f3d271452ceaf5193c533ab57148da">m_IsVariant</a></td></tr>
<tr class="separator:a96f3d271452ceaf5193c533ab57148da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3645e1e14802eff6b25d498b88c90a00"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/d61/a05402.html">ExpansionMarketItem</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a3645e1e14802eff6b25d498b88c90a00">m_Parent</a></td></tr>
<tr class="separator:a3645e1e14802eff6b25d498b88c90a00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ed5749fb746c4dccd3a400b1835ee53"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a1ed5749fb746c4dccd3a400b1835ee53">m_StockOnly</a></td></tr>
<tr class="separator:a1ed5749fb746c4dccd3a400b1835ee53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad65dd892928479e961a2c0492b768ce5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#ad65dd892928479e961a2c0492b768ce5">m_ShowInMenu</a></td></tr>
<tr class="separator:ad65dd892928479e961a2c0492b768ce5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a311f01c378317fe7e8412e8cefec1fc2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a311f01c378317fe7e8412e8cefec1fc2">m_Idx</a></td></tr>
<tr class="separator:a311f01c378317fe7e8412e8cefec1fc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a802090fe29487790fd85f62c24433025"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a802090fe29487790fd85f62c24433025">m_UpdateView</a></td></tr>
<tr class="separator:a802090fe29487790fd85f62c24433025"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a776b003e49670b46002d0448378bf5be"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d61/a05402.html#a776b003e49670b46002d0448378bf5be">m_CurrentItemId</a></td></tr>
<tr class="separator:a776b003e49670b46002d0448378bf5be"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00017">17</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a15371a79acc1a95886a61c3bc425cdac" name="a15371a79acc1a95886a61c3bc425cdac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15371a79acc1a95886a61c3bc425cdac">&#9670;&#160;</a></span>ExpansionMarketItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketItem::ExpansionMarketItem </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>catID</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>className</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>minPrice</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>maxPrice</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>minStock</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>maxStock</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">array&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt;&#160;</td>
          <td class="paramname"><em>attachments</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">array&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt;&#160;</td>
          <td class="paramname"><em>variants</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>sellPricePercent</em> = <code>-1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>quantityPercent</em> = <code>-1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>itemID</em> = <code>-1</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">array&lt; int &gt;&#160;</td>
          <td class="paramname"><em>attachmentIDs</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Check if attachment is not same classname as parent to prevent infinite recursion (user error)</p>

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00082">82</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a273de158de8b15a1d7bab4fb45198fb9" name="a273de158de8b15a1d7bab4fb45198fb9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a273de158de8b15a1d7bab4fb45198fb9">&#9670;&#160;</a></span>AddDefaultAttachments()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketItem::AddDefaultAttachments </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Add ammo "attachment" (use 1st ammo item) if not yet present and quantity is not zero</p>

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00292">292</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="a37bd7643e243fc094724eba4867af513" name="a37bd7643e243fc094724eba4867af513"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a37bd7643e243fc094724eba4867af513">&#9670;&#160;</a></span>CalculatePrice()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarketItem::CalculatePrice </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>stock</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>modifier</em> = <code>1.0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00200">200</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="ae64a41902495b64e6878db13ec31067e" name="ae64a41902495b64e6878db13ec31067e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae64a41902495b64e6878db13ec31067e">&#9670;&#160;</a></span>GetAttachmentTypes()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">map&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, bool &gt; ExpansionMarketItem::GetAttachmentTypes </td>
          <td>(</td>
          <td class="paramtype">out int&#160;</td>
          <td class="paramname"><em>magAmmoCount</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00227">227</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="ad90438a0fd16136e61dce678f3f9d6f0" name="ad90438a0fd16136e61dce678f3f9d6f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad90438a0fd16136e61dce678f3f9d6f0">&#9670;&#160;</a></span>GetMagAmmoQuantities()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">map&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, int &gt; ExpansionMarketItem::GetMagAmmoQuantities </td>
          <td>(</td>
          <td class="paramtype">map&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>, bool &gt;&#160;</td>
          <td class="paramname"><em>attachmentTypes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>magAmmoCount</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00248">248</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="ac21c8ef91c4001e7812b4abc424b9c7f" name="ac21c8ef91c4001e7812b4abc424b9c7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac21c8ef91c4001e7812b4abc424b9c7f">&#9670;&#160;</a></span>IsMagazine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMarketItem::IsMagazine </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00222">222</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="a30984c65d97797ab3acb7bb0d3ad5e15" name="a30984c65d97797ab3acb7bb0d3ad5e15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30984c65d97797ab3acb7bb0d3ad5e15">&#9670;&#160;</a></span>IsStaticStock()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMarketItem::IsStaticStock </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00191">191</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="a7415e4220e0a1681b7c4068f2d073c6f" name="a7415e4220e0a1681b7c4068f2d073c6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7415e4220e0a1681b7c4068f2d073c6f">&#9670;&#160;</a></span>IsVehicle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMarketItem::IsVehicle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00312">312</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="a15d7e97314d590549e586ae72c600154" name="a15d7e97314d590549e586ae72c600154"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15d7e97314d590549e586ae72c600154">&#9670;&#160;</a></span>SanityCheckAndRepair()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketItem::SanityCheckAndRepair </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Convert to integer representation of bfloat16</p>
<p >Convert integer representation of bfloat16 back to float to make sure values used on server and client are the same</p>

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00134">134</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="aafec3c3b4f8ab375e52cdc0966b79642" name="aafec3c3b4f8ab375e52cdc0966b79642"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafec3c3b4f8ab375e52cdc0966b79642">&#9670;&#160;</a></span>SetAttachmentsFromIDs()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionMarketItem::SetAttachmentsFromIDs </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00177">177</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a9027b00501cda4bd8fcaf9c0681d8247" name="a9027b00501cda4bd8fcaf9c0681d8247"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9027b00501cda4bd8fcaf9c0681d8247">&#9670;&#160;</a></span>CategoryID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarketItem::CategoryID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00025">25</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="a4b507ea132bb7356a6d1e9ab3be2dd5b" name="a4b507ea132bb7356a6d1e9ab3be2dd5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b507ea132bb7356a6d1e9ab3be2dd5b">&#9670;&#160;</a></span>ClassName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionMarketItem::ClassName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00027">27</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="ad92bc8f76e3e04910d347722f08aed4f" name="ad92bc8f76e3e04910d347722f08aed4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad92bc8f76e3e04910d347722f08aed4f">&#9670;&#160;</a></span>ItemID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarketItem::ItemID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00022">22</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="a41862d5ad7a2aaa58338a0f2b144a829" name="a41862d5ad7a2aaa58338a0f2b144a829"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41862d5ad7a2aaa58338a0f2b144a829">&#9670;&#160;</a></span>m_AttachmentIDs</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">autoptr array&lt; int &gt; ExpansionMarketItem::m_AttachmentIDs</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00054">54</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="a776b003e49670b46002d0448378bf5be" name="a776b003e49670b46002d0448378bf5be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a776b003e49670b46002d0448378bf5be">&#9670;&#160;</a></span>m_CurrentItemId</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarketItem::m_CurrentItemId</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00019">19</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="a311f01c378317fe7e8412e8cefec1fc2" name="a311f01c378317fe7e8412e8cefec1fc2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a311f01c378317fe7e8412e8cefec1fc2">&#9670;&#160;</a></span>m_Idx</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarketItem::m_Idx</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00069">69</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="a96f3d271452ceaf5193c533ab57148da" name="a96f3d271452ceaf5193c533ab57148da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96f3d271452ceaf5193c533ab57148da">&#9670;&#160;</a></span>m_IsVariant</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMarketItem::m_IsVariant</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00057">57</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="a2abada68bf25181b2518bea091420d05" name="a2abada68bf25181b2518bea091420d05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2abada68bf25181b2518bea091420d05">&#9670;&#160;</a></span>m_MaxPriceThreshold</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private int ExpansionMarketItem::m_MaxPriceThreshold</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section note"><dt>Note</dt><dd>this is a workaround for a serious Enforce bug (MaxPriceThreshold gets randomly reset to zero on client after a few buys/sells) </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00034">34</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="a7e0934619d0f85a415510dbf344c07a2" name="a7e0934619d0f85a415510dbf344c07a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e0934619d0f85a415510dbf344c07a2">&#9670;&#160;</a></span>m_MinPriceThreshold</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private int ExpansionMarketItem::m_MinPriceThreshold</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00036">36</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="a3645e1e14802eff6b25d498b88c90a00" name="a3645e1e14802eff6b25d498b88c90a00"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3645e1e14802eff6b25d498b88c90a00">&#9670;&#160;</a></span>m_Parent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/d61/a05402.html">ExpansionMarketItem</a> ExpansionMarketItem::m_Parent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00060">60</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="a15709f464b5eb7ced62a77b3ec3548fc" name="a15709f464b5eb7ced62a77b3ec3548fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15709f464b5eb7ced62a77b3ec3548fc">&#9670;&#160;</a></span>m_SellPricePercent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarketItem::m_SellPricePercent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section note"><dt>Note</dt><dd>integer representation of bfloat16 </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00043">43</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="ad65dd892928479e961a2c0492b768ce5" name="ad65dd892928479e961a2c0492b768ce5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad65dd892928479e961a2c0492b768ce5">&#9670;&#160;</a></span>m_ShowInMenu</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMarketItem::m_ShowInMenu</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00066">66</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="a1ed5749fb746c4dccd3a400b1835ee53" name="a1ed5749fb746c4dccd3a400b1835ee53"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ed5749fb746c4dccd3a400b1835ee53">&#9670;&#160;</a></span>m_StockOnly</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMarketItem::m_StockOnly</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00063">63</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="a802090fe29487790fd85f62c24433025" name="a802090fe29487790fd85f62c24433025"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a802090fe29487790fd85f62c24433025">&#9670;&#160;</a></span>m_UpdateView</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionMarketItem::m_UpdateView</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00072">72</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="acef1091048e59d417ab0bcde6c1432a0" name="acef1091048e59d417ab0bcde6c1432a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acef1091048e59d417ab0bcde6c1432a0">&#9670;&#160;</a></span>MaxPriceThreshold</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarketItem::MaxPriceThreshold</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00029">29</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="a250ae4ea037af6a6545ffc6fcc6d0acd" name="a250ae4ea037af6a6545ffc6fcc6d0acd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a250ae4ea037af6a6545ffc6fcc6d0acd">&#9670;&#160;</a></span>MaxStockThreshold</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarketItem::MaxStockThreshold</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00045">45</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="abf4d7ec9f26bf5c8803497f103e3d71e" name="abf4d7ec9f26bf5c8803497f103e3d71e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf4d7ec9f26bf5c8803497f103e3d71e">&#9670;&#160;</a></span>MinPriceThreshold</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarketItem::MinPriceThreshold</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00030">30</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="a5ed09d29c9fcc6f17a5e88bba0393124" name="a5ed09d29c9fcc6f17a5e88bba0393124"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ed09d29c9fcc6f17a5e88bba0393124">&#9670;&#160;</a></span>MinStockThreshold</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarketItem::MinStockThreshold</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00046">46</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="a298b56856ff035b1bec97fb295a0f45f" name="a298b56856ff035b1bec97fb295a0f45f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a298b56856ff035b1bec97fb295a0f45f">&#9670;&#160;</a></span>QuantityPercent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionMarketItem::QuantityPercent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00048">48</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="a2bd2f3fd5860a08709c35946f9d7294a" name="a2bd2f3fd5860a08709c35946f9d7294a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2bd2f3fd5860a08709c35946f9d7294a">&#9670;&#160;</a></span>SellPricePercent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionMarketItem::SellPricePercent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="section note"><dt>Note</dt><dd>not netsynced directly! Encoded to bfloat16 and sent packed together with BuySell and QuantityPercent </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00039">39</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="a436a03ad9dd89d616002b3bc91daf1ca" name="a436a03ad9dd89d616002b3bc91daf1ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a436a03ad9dd89d616002b3bc91daf1ca">&#9670;&#160;</a></span>SpawnAttachments</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">autoptr array&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt; ExpansionMarketItem::SpawnAttachments</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00050">50</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<a id="a4e13699006087164213b6910b4936288" name="a4e13699006087164213b6910b4936288"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e13699006087164213b6910b4936288">&#9670;&#160;</a></span>Variants</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">autoptr array&lt; <a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> &gt; ExpansionMarketItem::Variants</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../da/d0a/a01526_source.html#l00051">51</a> of file <a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Market/Scripts/3_game/dayzexpansion_market/settings/<a class="el" href="../../da/d0a/a01526_source.html">expansionmarketitem.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d9/d61/a05402.html">ExpansionMarketItem</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
